ml_saveload {sparklyr} | R Documentation

## Save / Load a Spark ML Model Fit

### Description

Save / load a `ml_model` fit.

### Usage

    ml_load(sc, file)

    ml_save(model, file)

### Arguments

`sc` | A `spark_connection`.
`file` | The filepath used for model save / load. Currently, only local filepaths are supported.
`model` | A `ml_model` fit.

### Details

These functions are currently experimental and not yet ready for production use. Unfortunately, the training summary information for regression fits (linear, logistic, generalized) are currently not serialized as part of the model fit, and so model fits recovered through `ml_load` will not work with e.g. `fitted`, `residuals`, and so on. Such fits should still be suitable for generating predictions with new data, however.

[Package sparklyr version 0.5.6 Index]